<?php
namespace Auction\DataBin;



/**
 * Manage OpenDay data.
 * @author andre.fourie
 */
class OpenDay extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'OpenDay',
			'DatasetName' => 'publicholidays',
			'Entity'      => '\Auction\Entity\OpenDay',
			'References'  => array(),
			'Dependants'  => array(
					'groups' => 'Auction\Entity\OpenDayGroup'
			)
	);
	/**
	 * @var array
	*/
	protected $metaList = array(
			'Type'			=> 'List',
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(),
			'Filter' => array(),
			'OrderBy' => array(
					'openDate' => 'DESC'
			),
			'Fields' => array(),
			'Expand' => array('groups')
	);
	/**
	 * @var array
	*/
	protected $metaCreate = array(
			'Type'			=> 'Create',
			'Contract' 		=> 'Recurring',
			'RequiredInput' => array(
					'OpenDay' => array(
							'openDate'	=> 'Date',
							'groups'	=> 'Array'
					)
			),
			'OptionalInput' => array()
	);
	/**
	 * @var array
	*/
	protected $metaUpdate = array(
			'Type'			=> 'Update',
			'Contract' 		=> 'UseOnce',
			'RequiredInput' => array(
					'OpenDay' => array(
							'openDate'	=> 'Date',
							'groups'	=> 'Array'
					)
			),
			'OptionalInput' => array()
	);
	/**
	 * @var array
	*/
	protected $metaDelete = array(
			'Type'		=> 'Delete',
			'Contract' => 'UseOnce',
			'ExecuteBefore' => array(
					'canDelete'
			)
	);

}